<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>List of orders</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">ORDER LIST</h2>
    
    <table class="table table-bordered table-striped table-hover" id="order-table">
      <thead>
        <tr>
          <th>ID</th>
          <th>Order Code</th>
          <th>Customer ID</th>
          <th>Product ID</th>
          <th>Pizza Size</th>
          <th>Pizza Type</th>
          <th>Voucher Code</th>
          <th>Price</th>
          <th>Payment</th>
          
        </tr>
    </table>
  </div>
 
</body>
<script>
  "use strict";
 
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  
    const gBASE_URL = "http://localhost:8081/orders";

    var gOrderArr = [];
    const gCOLUMN_ID = 0;
    const gCOLUMN_ORDER_CODE = 1;
    const gCOLUMN_CUSTOMER_ID = 2;
    const gCOLUMN_PRODUCT_ID = 3;
    const gCOLUMN_PIZZA_SIZE = 4;
    const gCOLUMN_PIZZA_TYPE = 5; 
    const gCOLUMN_VOUCHER_CODE = 6; 
    const gCOLUMN_PRICE = 7; 
    const gCOLUMN_PAYMENT = 8;   
    const gPRODUCT_COL = ["id", "orderCode", "customerId", "productId" , "pizzaSize", "pizzaType", "voucherCode", "price", "paid"]

    

    // set and mapping data table
    var gProductTable = $("#order-table").DataTable({
      "columns": [
        { "data": gPRODUCT_COL[gCOLUMN_ID] },
        { "data": gPRODUCT_COL[gCOLUMN_ORDER_CODE] },
        { "data": gPRODUCT_COL[gCOLUMN_CUSTOMER_ID] },
        { "data": gPRODUCT_COL[gCOLUMN_PRODUCT_ID] },
        { "data": gPRODUCT_COL[gCOLUMN_PIZZA_SIZE] },
        { "data": gPRODUCT_COL[gCOLUMN_PIZZA_TYPE] },
        { "data": gPRODUCT_COL[gCOLUMN_VOUCHER_CODE] },
        { "data": gPRODUCT_COL[gCOLUMN_PRICE] },
        { "data": gPRODUCT_COL[gCOLUMN_PAYMENT] },
        
        
      ],
      
    });

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
   
    $(document).ready(function () {

    onPageLoading();
        
  })

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    
    // function for loading page
    function onPageLoading() {
      
      $.ajax({
        url: gBASE_URL,
        type: "GET",
        dataType: 'json',
        success: function (responseObject) {
          //debugger;
          gOrderArr = responseObject;
          loadDataToTable(responseObject);
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
    
        
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
           
    // load data to table
    function loadDataToTable(paramResponseObject) {
      
      gProductTable.clear();
      gProductTable.rows.add(paramResponseObject);
      gProductTable.draw();
    }
      
  
</script>

</html>